return Def.ActorFrame {
	InitCommand=cmd(sleep,5);

LoadActor( "sound_failed" )..{
		StartTransitioningCommand=cmd(play);
	};

	LoadActor( "shdown" )..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-60;diffusealpha,0;addy,-120;sleep,0.3;diffusealpha,1;decelerate,0.3;addy,120;accelerate,0.075;addy,-6;decelerate,0.075;addy,6);
	};

	LoadActor( "shup" )..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-160;sleep,0.2;diffusealpha,0.6;linear,0.4;addy,200;zoom,1.2;diffusealpha,0;);
	};

	LoadActor( "shup" )..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-160;addy,-200;accelerate,0.4;addy,200);
	};

	LoadActor( "shdown" )..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+60;diffusealpha,0;rotationz,180;addy,120;sleep,0.3;decelerate,0.3;diffusealpha,1;addy,-120;accelerate,0.075;addy,6;decelerate,0.075;addy,-6);
	};

	LoadActor( "shup" )..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+160;rotationz,180;diffusealpha,0;sleep,0.2;diffusealpha,0.4;linear,0.6;addy,-200;zoom,1.2;diffusealpha,0;);
	};

	LoadActor( "shup" )..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+160;rotationz,180;addy,200;accelerate,0.4;addy,-200);
	};

	LoadActor( THEME:GetPathB("","_white") )..{
		BeginCommand=cmd(FullScreen;);
		OnCommand=cmd(diffuse,color("1,0.3,0,0");zoomtowidth,SCREEN_WIDTH;zoomtoheight,0;sleep,1;accelerate,0.3;diffuse,color("1,0.3,0,0.3");zoomtoheight,64;linear,2;diffuse,color("1,0.3,0,0.8"));
	};

	LoadActor( THEME:GetPathB("","_white") )..{
		BeginCommand=cmd(FullScreen;);
		OnCommand=cmd(x,SCREEN_CENTER_X-320;y,SCREEN_CENTER_Y-32;horizalign,left;diffuse,color("1,0.3,0,1");zoomtowidth,0;zoomtoheight,1;sleep,1.5;linear,0.2;zoomtowidth,SCREEN_WIDTH;linear,0.1;diffusealpha,0;zoomtowidth,0;sleep,0.35;diffuse,color("1,0.3,0,1");linear,0.2;zoomtowidth,SCREEN_WIDTH;linear,0.1;diffusealpha,0;);
	};

	LoadActor( THEME:GetPathB("","_white") )..{
		BeginCommand=cmd(FullScreen;);
		OnCommand=cmd(x,SCREEN_CENTER_X+320;y,SCREEN_CENTER_Y+32;horizalign,right;diffuse,color("1,0.3,0,1");zoomtowidth,0;zoomtoheight,1;sleep,1.5;linear,0.2;zoomtowidth,SCREEN_WIDTH;linear,0.1;diffusealpha,0;zoomtowidth,0;sleep,0.35;diffuse,color("1,0.3,0,1");linear,0.2;zoomtowidth,SCREEN_WIDTH;linear,0.1;diffusealpha,0;);
	};

	LoadActor( "failed" )..{
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomtowidth,2560;diffusealpha,0;sleep,1.1;diffusealpha,1;accelerate,0.3;zoomtowidth,416);
	};

	LoadActor( THEME:GetPathB("","_black") )..{
		BeginCommand=cmd(FullScreen;);
		OnCommand=cmd(;diffusealpha,0;sleep,3;linear,2;diffusealpha,1;);
	};
}